"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.LogApp = void 0;
const node_fetch_1 = __importDefault(require("node-fetch"));
const constants_1 = require("./constants/constants");
class LogApp {
    constructor(options = {}) {
        this.API_URL = options.API_URL || constants_1.API_URL;
        this.MonitorKey = options.MonitorKey || null;
    }
    setMonitorKey(monitorKey) {
        this.MonitorKey = monitorKey;
    }
    postLog(log) {
        return __awaiter(this, void 0, void 0, function* () {
            this.check();
            const response = yield (0, node_fetch_1.default)(`${constants_1.API_URL}logs`, {
                method: 'POST',
                headers: {
                    'Content-Type': 'application/json',
                    'Monitor-Key': this.MonitorKey || '',
                },
                body: JSON.stringify(log),
            });
            const id = (yield response.json());
            return id;
        });
    }
    check() {
        if (!this.MonitorKey) {
            throw new Error('User key is not set');
        }
    }
}
exports.LogApp = LogApp;
